**`Animesh Gupta`[NAME]** -NL- Full Stack Java Developer -NL- Phone: **`+1 631-974-3020 `[PHONES_PHONE]**-NL- Email: **`anigcs4@gmail.com`[EMAILS_EMAIL]** -NL- New York, 10017 -NL- Visa: Green Card -NL- **`OBJECTIVE:`[SUMMARY_HEADING]** -NL- Experienced Senior Java/J2EE developer seeking a challenging software development position in a well-established -NL- organization -NL- **`Professional Summary`[SUMMARY_HEADING]** -NL- ● Java/J2EE Developer with around 8 years of Core **`Information Technology `[EDUCATION_COURSE]**(IT) experience in analysis, -NL- design, development and implementation of Java, J2EE enterprise applications. -NL- ● Involved actively in complete software development life cycle of various Client/Server or Web applications for -NL- Private Companies, Banking & Telecom domains. -NL- ● Extensive experiences in web based multi-tier enterprise applications and Client/ Server Applications using -NL- Java/J2EE technologies and have good exposure in Model View Controller (MVC) Architecture based applications -NL- using (Struts Frameworks and JSP) on window platform with expertise in presentation, business and database -NL- layers. -NL- ● Hands on experience in implementing standard J2EE design patterns like Singleton Pattern, Factory Pattern, -NL- Abstract factory Pattern, MVC Pattern, Business delegate Pattern. -NL- ● Experience working on front end Design and Development using Html, Html5, CSS, CSS3, JavaScript, jQuery, -NL- JSON, Ajax, Bootstrap, Angular 2. -NL- ● Extensive experience in writing applications using Java/J2EE& related technologies such as Servlet, JSP, JDBC, -NL- Java Beans, XML, XSL, HTML and SQL,PL/SQL middleware technologies such as Web Services, SOAP, WSDL, -NL- REST for web base applications. -NL- **`Education`[EDUCATION_HEADING]** -NL- Master of Science in **`Computer Science `[EDUCATION_COURSE]**-NL- December 2015 -NL- **`Stony Brook University, Stony Brook, NY-11790, USA`[EDUCATION_INSTITUTE]** -NL- GPA: 3.5/4.0 -NL- **`Bachelor of Technology`[EDUCATION_DEGREE]** in **`Information Technology `[EDUCATION_COURSE]**-NL- Completed: June 2011 -NL- **`National Institute of Technology Kurukshetra`[EDUCATION_INSTITUTE]**-136119, India -NL- GPA: 8.58/10.0 -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- ● Languages: Java 8(Primary), Python, SQL, Angular 2 -NL- ● Web Technologies: J2EE/Java, Spring MVC, RESTful Web Service, HTML, CSS, JavaScript -NL- ● Network Technologies: TCP/IP, Routers, OSI model, Network Simulator 2, Wireshark -NL- ● Tools: Version Control (Git, SVN), Sybase, JUnit Framework, Eclipse, Jenkins, Maven -NL- ● Databases: MySQL, Cassandra -NL- **`Work Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`JP Morgan Chase`[EMPLOYER_COMPANY_NAME]**, New York, USA -NL- Nov 2017 - Present -NL- **`Associate Software Engineer`[EMPLOYER_ROLE]** -NL- ● Digital Inbound Aggregator Team (Java/J2EE, SpringBoot, Cloud-GAIA, Global Load Balancer) -NL- Responsible for the infrastructure setup related to deployment of five micro services on GAIA cloud using -NL- global load balancer. Includes config setup of jules script for automatic deployment in cloud and choosing -NL- pools and number of instances for every container in GAIA. -NL- ● Digital Outbound Aggregator Team (Java/J2EE, REST APIs, SpringBoot, Cassandra) -NL- Design and Implement Micro services to restrict Chase Bank Account details and replace with Virtual Account -NL- Number for third party apps like Mint, Turbo Tax etc. -NL- ● Colt Onboarding (Java/J2EE, REST APIs, Spring, SQL) -NL- Design and Implement Restful Service, SQL queries and Joins to redirect high asset clients to fast responsive -NL- GCRD web application layer on top of existing COLT Web Application. -NL- Goldman Sachs New Jersey, USA -NL- Feb 2016 - September 2017 -NL- **`Associate Java Developer`[EMPLOYER_ROLE]** -NL- ● Account Lookup Restful Service (Core Java, Spring-MVC, Jersey Jackson REST APIs, Sybase, Maven) -NL- Design and implemented Account lookup Restful service to automate and simply the database querying. -NL- Involves writing AutoSys jobs, use of Mithra In-memory database and testing the existing application using -NL- Junit. -NL-  Kanban Team (Jira Dashboard, Confluence, SQL, Java, Sonar) -NL- Leading and collaborating offshore team for code review, fixing bugs as reported by customers through Jira -NL- dashboard and weekly calls -NL- **`CA Technologies`[EMPLOYER_COMPANY_NAME]** USA, CEWIT -NL- Feb 2015 - Dec 2015 -NL- **`Research Developer`[EMPLOYER_ROLE]** -NL- ● Big Data Infrastructure Management (Java, REST APIs, NoSQL databases) -NL- Implemented Nimsoft Probe deployment and auto propagation of config settings among all the nodes in a -NL- Cassandra Cluster. Used REST API calls to register, delete, start, stop various services of MongoDB and -NL- Cassandra clusters. -NL- **`Samsung Research`[EMPLOYER_COMPANY_NAME]** India -NL- July 2013 - August 2014 -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- ● Automated Data Classifier (Java, Mahout, Map Reduce) -NL- Developed predictive model using Apache Mahout based on Hadoop for generating clusters of real-time big -NL- data (RSS feeds, Google news). Used supervised machine learning techniques for categorizing the new data. -NL- **`Mediatek India Pvt Ltd`[EMPLOYER_COMPANY_NAME]** -NL- June 2011 - March 2013 -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- ● Full Stack Developer (C++, Java, MVC Framework) -NL- Designed various instant messaging mobile applications, widgets, and Optimized business logic for -NL- applications like Yahoo Messenger and Facebook to run under low memory conditions. -NL- **`Academic Projects`[OTHERS_HEADING]** -NL- **`Intelligent Job Portal`[PROJECT_TITLE]** (Core Java, Python, JavaScript, Stanford NER parser) -NL- Spring 2015 -NL- Developed a Job search portal by integrating and filter data from social sites mainly LinkedIn and Glassdoor. Used -NL- Stanford Name entity recognizer to automatically fill and match the user’s profile with relevant jobs. -NL- **`Chain Replication`[PROJECT_TITLE]** (Java/Python, Paxos algorithm, Multi-Threading) -NL- Fall 2014 -NL- Implemented client-server model for Chain replication algorithm with support of Fault tolerance and High availability -NL- for simulating the Distributed banking system. [Asynchronous Distributed Systems]. -NL- 